#pragma once
#include "afxwin.h"
#include "HwmSdkAgent.h"
#include "stdafx.h"
#include <iostream>
// demoSetProxyInfoDlg 对话框

class demoSetProxyInfoDlg : public CDialogEx
{
    DECLARE_DYNAMIC(demoSetProxyInfoDlg)

public:
    demoSetProxyInfoDlg(CWnd* pParent = NULL);   // 标准构造函数
    virtual ~demoSetProxyInfoDlg();

// 对话框数据
#ifdef AFX_DESIGN_TIME
    enum { IDD = IDD_SET_PROXY_INFO_DIALOG };
#endif

    // 当前代理选项: 用户设置, 自动设置, 无代理
    enum { USER_SET, AUTO_SET, NO_SET };

protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持
    virtual BOOL OnInitDialog();
    void AutoFillProxy();
    DECLARE_MESSAGE_MAP()

    CEdit m_proxyText1;
    CEdit m_proxyText2;
    CEdit m_proxyText3;
    CEdit m_proxyText4;
    CEdit m_proxyServerEdit;
    CEdit m_proxyPortEdit;
    CEdit m_proxyUserNameEdit;
    CEdit m_proxyPswEdit;
    CButton m_proxyUserSet;
    CButton m_proxyAutoSet;
    CButton m_proxyNoSet;
    // 是否使用系统代理
    afx_msg void OnBnClickedOk();
    void userSet();
    void autoSet();
    void noSet();

    static bool m_isinit;
    static bool m_isAutoSetProxy;
    static hwmsdkagent::HwmProxyInfo m_proxyInfo;
    static int m_currBtn;

    static void autoSetThread();
    static int SetProxyInfoStatic(hwmsdkagent::HwmProxyInfo *proxyInfo);
    
public:
    afx_msg void OnBnClickedRadioProxyUserSet();
    afx_msg void OnBnClickedRadioProxyAutoSet();
    afx_msg void OnBnClickedRadioProxyNoSet();
};
